Skip to main content
GET
/
v1beta
/
quota
/
usage
TypeScript
import { Factify } from "@factify/sdk";

const factify = new Factify({
  bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
});

async function run() {
  const result = await factify.usage.getUsageHistory({
    organizationId: "org_01h2xcejqtf2nbrexx3vqjhp41",
  });

  console.log(result);
}

run();
{
  "daily_usage": [
    {
      "date": "2026-01-15",
      "request_count": 123
    }
  ],
  "organization_id": "org_01h2xcejqtf2nbrexx3vqjhp41",
  "total_requests": 123
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer , where is your auth token.

Query Parameters

organization_id
string

Optional: organization ID to query. If not provided, uses the caller's organization.

Pattern: ^org_[0-9a-hjkmnp-tv-z]{26}$
Example:

"org_01h2xcejqtf2nbrexx3vqjhp41"

date.after
string<date-time>

Filter by date.after (RFC 3339 format, e.g., 2024-01-15T09:30:00Z)

Response

Success

GetUsageHistoryResponse returns usage history.

daily_usage
DailyUsage · object[]

Daily usage records.

organization_id
string

The organization ID.

Pattern: ^org_[0-9a-hjkmnp-tv-z]{26}$
Example:

"org_01h2xcejqtf2nbrexx3vqjhp41"

total_requests
integer<int32>

Total requests in the period.